Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms
Class CMSCompressedDataStreamGenerator

    java.lang.Object
      org.bouncycastle.cms.CMSCompressedDataStreamGenerator

    public class CMSCompressedDataStreamGenerator

extends java.lang.Object

General class for generating a compressed CMS message stream.

A simple example of usage.

          CMSCompressedDataStreamGenerator gen = new CMSCompressedDataStreamGenerator();

          OutputStream cOut = gen.open(outputStream, CMSCompressedDataStreamGenerator.ZLIB);

          cOut.write(data);

          cOut.close();

Field Summary
`static java.lang.String` `ZLIB`

Constructor Summary
`CMSCompressedDataStreamGenerator()` base constructor

Method Summary
`java.io.OutputStream` `open(java.io.OutputStream out, java.lang.String compressionOID)`
`java.io.OutputStream` `open(java.io.OutputStream out, java.lang.String contentOID, java.lang.String compressionOID)`
`void` `setBufferSize(int bufferSize)` Set the underlying string size for encapsulated data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZLIB

    public static final java.lang.String ZLIB

See Also:
  Constant Field Values

Constructor Detail

### CMSCompressedDataStreamGenerator

    public CMSCompressedDataStreamGenerator()

  base constructor

Method Detail

### setBufferSize

    public void setBufferSize(int bufferSize)

  Set the underlying string size for encapsulated data

  Parameters:
    `bufferSize` - length of octet strings to buffer the data.

### open

    public java.io.OutputStream open(java.io.OutputStream out,
                                     java.lang.String compressionOID)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### open

    public java.io.OutputStream open(java.io.OutputStream out,
                                     java.lang.String contentOID,
                                     java.lang.String compressionOID)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45